package com.ruoyi.change.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 资产调拨明细对象 tb_asset_allocation_detail
 * 
 * @author 原动力
 * @date 2023-05-15
 */
public class TbAssetAllocationDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 调拨单号 */
    @Excel(name = "调拨单号")
    private String allocationOrderNumber;

    /** 资产编号 */
    @Excel(name = "资产编号")
    private String assetNumber;

    /** 旧管理人 */
    @Excel(name = "旧管理人")
    private String oldResponsiblePerson;

    /** 旧功能位置编号 */
    @Excel(name = "旧功能位置编号")
    private String oldLocationNumber;

    /** 新管理人 */
    @Excel(name = "新管理人")
    private String newResponsiblePerson;

    /** 新功能位置编号 */
    @Excel(name = "新功能位置编号")
    private String newLocationNumber;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAllocationOrderNumber(String allocationOrderNumber) 
    {
        this.allocationOrderNumber = allocationOrderNumber;
    }

    public String getAllocationOrderNumber() 
    {
        return allocationOrderNumber;
    }
    public void setAssetNumber(String assetNumber) 
    {
        this.assetNumber = assetNumber;
    }

    public String getAssetNumber() 
    {
        return assetNumber;
    }
    public void setOldResponsiblePerson(String oldResponsiblePerson) 
    {
        this.oldResponsiblePerson = oldResponsiblePerson;
    }

    public String getOldResponsiblePerson() 
    {
        return oldResponsiblePerson;
    }
    public void setOldLocationNumber(String oldLocationNumber) 
    {
        this.oldLocationNumber = oldLocationNumber;
    }

    public String getOldLocationNumber() 
    {
        return oldLocationNumber;
    }
    public void setNewResponsiblePerson(String newResponsiblePerson) 
    {
        this.newResponsiblePerson = newResponsiblePerson;
    }

    public String getNewResponsiblePerson() 
    {
        return newResponsiblePerson;
    }
    public void setNewLocationNumber(String newLocationNumber) 
    {
        this.newLocationNumber = newLocationNumber;
    }

    public String getNewLocationNumber() 
    {
        return newLocationNumber;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("allocationOrderNumber", getAllocationOrderNumber())
            .append("assetNumber", getAssetNumber())
            .append("oldResponsiblePerson", getOldResponsiblePerson())
            .append("oldLocationNumber", getOldLocationNumber())
            .append("newResponsiblePerson", getNewResponsiblePerson())
            .append("newLocationNumber", getNewLocationNumber())
            .toString();
    }
}
